%define origname mysql++

Name: lib%origname
Version: 3.0.9
Release: alt1

Summary: C++ API for MySQL
License: LGPL
Group: System/Libraries

Url: http://tangentsoft.net/mysql++
Source: %url/releases/%origname-%version.tar.gz
Packager: Michael Shigorin <mike@altlinux.ru>

# Automatically added by buildreq on Sat Mar 29 2008
BuildRequires: gcc-c++ libMySQL-devel zlib-devel

Summary(ru_RU.KOI8-R): C++ API  MySQL
Summary(uk_UA.KOI8-U): C++ API  MySQL

%description
The goal of this API is to make working with queries as easy as
working with other STL Containers.

%description -l ru_RU.KOI8-R
  API        
 STL.

%description -l uk_UA.KOI8-U
  API  צ      
 STL.

%package devel
Summary: C++ API for MySQL -- development part
Summary(ru_RU.KOI8-R): C++ API  MySQL --  
Summary(uk_UA.KOI8-U): C++ API  MySQL --  
Group: Development/C++
Requires: %name = %version-%release

%description devel
The goal of this API is to make working with queries as easy as
working with other STL Containers.

This package contains files needed to compile software
using %name as a share library.

%description devel -l ru_RU.KOI8-R
  API        
 STL.

   ,     , 
 %name   .

%description devel -l uk_UA.KOI8-U
  API  צ      
 STL.

  ͦ ,  ҦΦ  Цæ , ˦
 %name   ¦̦.

%if_enabled static
%package devel-static
Summary: C++ API for MySQL -- static development library
Summary(ru_RU.KOI8-R): C++ API  MySQL --   ( )
Summary(uk_UA.KOI8-U): C++ API  MySQL --   ( )
Group: Development/C++
Requires: %name-devel = %version-%release

%description devel-static
The goal of this API is to make working with queries as easy as
working with other STL Containers.

This package contains files needed to compile software
using %name in a statically-linked form.

%description devel-static -l ru_RU.KOI8-R
  API        
 STL.

   ,     , 
  %name .

%description devel-static -l uk_UA.KOI8-U
  API  צ      
 STL.

  ͦ ,  ҦΦ  Цæ , ˦
  %name .

%endif

%prep
#export LDFLAGS="-lstdc++ "
%setup -q -n %origname-%version

%build
%configure
%make_build

%install
%makeinstall

%files
%_libdir/*.so.*

%files devel
%_libdir/*.so
%_includedir/*

%if_enabled static
%files devel-static
%_libdir/*.a
%endif

%changelog
* Wed May 13 2009 Michael Shigorin <mike@altlinux.org> 3.0.9-alt1
- 3.0.9

* Thu Dec 04 2008 Michael Shigorin <mike@altlinux.org> 3.0.8-alt1
- 3.0.8
- applied repocop patch

* Sat Mar 29 2008 Michael Shigorin <mike@altlinux.org> 3.0.1-alt1
- 3.0.1
- spec cleanup

* Mon Feb 13 2006 Stanislav Yadykin <tosick@altlinux.ru> 2.0.7-alt1
- 2.0.7

* Sun Mar 06 2005 Albert R. Valiev <darkstar@altlinux.ru> 1.7.28-alt2
- Corrected link error (it was not linked with libstdc++ again...)

* Tue Mar 01 2005 Albert R. Valiev <darkstar@altlinux.ru> 1.7.28-alt1
- New version build
- Corrected linkage (was not linked with libstdc++)
- Removed old gcc-3.2 patches

* Tue Feb 03 2004 Michael Shigorin <mike@altlinux.ru> 1.7.9-alt5
- force gcc3.2 build (available gcc3.3 patch is broken)

* Mon Dec 08 2003 Michael Shigorin <mike@altlinux.ru> 1.7.9-alt4
- removed *.la; don't build static subpackage by default
- fixed descriptions
- fixed Url (thanks to Andrey S Pankov <casper AT casper org ua>)
- added sqlplusint/undef_short to includes per Andrey's request

* Mon Oct 06 2003 Michael Shigorin <mike@altlinux.ru> 1.7.9-alt3
- added patch for gcc-3.2.2+ from 
  http://www.mysql.com/downloads/api-mysql++.html

* Thu Sep 11 2003 Michael Shigorin <mike@altlinux.ru> 1.7.9-alt2
- rebuild (updated build requires, spec cleanup)
- patch2 removed

* Fri Mar 07 2003 Michael Shigorin <mike@altlinux.ru> 1.7.9-alt1
- built for ALT Linux
- based on package for SuSE 8 (incl. gcc3 patches)
- *heavy* spec cleanups

* Thu Oct 17 2002 Philipp Berndt <philipp.berndt@gmx.net>
- packaged

